package cn.superdesk.uniorder.dao.mapper.organisation;

import cn.superdesk.uniorder.dao.entity.organisation.SysCliqueXInvoice;
import cn.superdesk.uniorder.dao.entity.organisation.SysCliqueXInvoiceExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SysCliqueXInvoiceMapper {
    long countByExample(SysCliqueXInvoiceExample example);

    int deleteByExample(SysCliqueXInvoiceExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SysCliqueXInvoice record);

    int insertSelective(SysCliqueXInvoice record);

    List<SysCliqueXInvoice> selectByExample(SysCliqueXInvoiceExample example);

    SysCliqueXInvoice selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SysCliqueXInvoice record, @Param("example") SysCliqueXInvoiceExample example);

    int updateByExample(@Param("record") SysCliqueXInvoice record, @Param("example") SysCliqueXInvoiceExample example);

    int updateByPrimaryKeySelective(SysCliqueXInvoice record);

    int updateByPrimaryKey(SysCliqueXInvoice record);
}